@rem This sample program is provided AS IS and may be used, executed, copied and modified without royalty payment by customer (a) for its own 
@rem instruction and study, (b) in order to develop applications designed to run with an IBM WebSphere product, either for customer's own internal use
@rem or for redistribution by customer, as part of such an application, in customer's own products. " 
@rem
@rem Product 5630-A36,  (C) COPYRIGHT International Business Machines Corp., 2003, 2003
@rem All Rights Reserved * Licensed Materials - Property of IBM

@echo off

if NOT "%1" == "" goto next
goto usage

:next
if NOT "%WAS_HOME%"=="" goto start
goto usage

:start
set PATH=%WAS_HOME%\bin;%JAVA_HOME%\bin;%PATH%
if "%1" == "cloudscape" goto cloud 
goto db2

:cloud
@echo creating Cloudscape PLANTSDB database
java -classpath "%WAS_HOME%\cloudscape\lib\db2j.jar;%WAS_HOME%\cloudscape\lib\db2jtools.jar" com.ibm.db2j.tools.ij PBWcshelper.bat


goto end

:db2
if "%3" == "" goto usage
@echo creating DB2 PLANTSDB database
db2cmd.exe db2helper.bat %2 %3 %4

REM NEED TO ADD DB2 SUPPLIERDB support
REM @echo creating DB2 SUPPLIERDB database
REM db2cmd.exe db2helper.bat %2 %3 %4
goto end


:usage
@echo --------------------------------------------------------------
@echo File: setupDB.bat
@echo Before running this batch file, run setupCmdLine.bat, located 
@echo in the \bin directory in the WebSphere Application Server 
@echo install root. Ensure that the environment variable VWSHOME is 
@echo set to your DB2 install root if you are running this script 
@echo to set up the PLANTSBY database in DB2.  
@echo --------------------------------------------------------------
@echo Proper usage: setupDB dbtype imagepath db2uid db2pw
@echo where:
@echo dbtype is db2 or cloudscape
@echo imagepath is the location of the Plants by WebSphere images
@echo db2uid is your DB2 user ID
@echo db2pw is your DB2 password
@echo You do not need to specify a DB2 user ID or password if your 
@echo first argument is cloudscape.

:end




