@echo off
SETLOCAL
REM
REM         5630-A23, 5630-A22, (C) Copyright IBM Corporation, 2003
REM         All rights reserved. Licensed Materials Property of IBM
REM         Note to US Government users: Documentation related to restricted rights
REM         Use, duplication or disclosure is subject to restrictions set forth in GSA ADP Schedule with IBM Corp.
REM         This page may contain other proprietary notices and copyright information, the terms of which must be observed and followed.
REM
REM         This program may be used, executed, copied, modified and distributed
REM         without royalty for the purpose of developing, using,
REM         marketing, or distributing.
REM
REM

call "%~dp0setupVARS.bat"
call "%WEBSPHERE_PROFILE_PATH%\bin\setupCmdLine.bat"

if "%1" == "" goto usage

SET APPLICATION_PATH=%1

SET APPLICATION_NAME=WebSphereBank

cls
echo.
echo *******************************************************************************
echo *******************************************************************************
echo **  Calling wsadmin with %~dp0installApp.jacl script.
echo **  Hit Ctrl-C now to abort this action if you do not wish for this to happen.
echo **  Application Path: %APPLICATION_PATH%
echo *******************************************************************************
echo *******************************************************************************

pause

set APPLICATION_PATH_FOR_WSADMIN=%APPLICATION_PATH:\=/%
"%WAS_HOME%\bin\wsadmin" -f "%~dp0installApp.jacl" "%APPLICATION_PATH_FOR_WSADMIN%" "%APPLICATION_NAME%"

echo.

goto end

:usage
echo.  
echo Usage: installBank.bat [PATH_TO_EAR_FILE]
echo.

:end

ENDLOCAL





