@echo off
REM     
REM         5630-A23, 5630-A22, (C) Copyright IBM Corporation, 2002
REM         All rights reserved. Licensed Materials Property of IBM
REM         Note to US Government users: Documentation related to restricted rights
REM         Use, duplication or disclosure is subject to restrictions set forth in GSA ADP Schedule with IBM Corp.
REM         This page may contain other proprietary notices and copyright information, the terms of which must be observed and followed.
REM        
REM         This program may be used, executed, copied, modified and distributed
REM         without royalty for the purpose of developing, using,
REM         marketing, or distributing.
REM        
REM

rem parameters are: 1=db2 userid, 2=db2 password

db2 terminate

cls
echo.
echo ****************************************************************
echo  ***************************** ********************************
echo   ***************************   ******************************
echo    *************************     ****************************
echo     ***********************       **************************
echo      *********************         ************************
echo       *******************           **********************
echo.
echo          About to drop the database called PetsDB!
echo.
echo    	  Hit Ctrl-C now to abort this action
echo             if you do not wish for this to happen.
echo.
echo       *******************           **********************
echo      *********************         ************************
echo     ***********************       **************************
echo    *************************     ****************************
echo   ***************************   ******************************
echo  ***************************** ********************************
echo ****************************************************************

rem pause

db2 drop database PETSDB

db2 create database PETSDB

db2 connect to PETSDB

db2 grant dbadm on database to user %1

db2 update db cfg for PETSDB using applheapsz 2048

db2 update db cfg for PETSDB using logfilsiz 8192

db2 terminate

db2 connect to PETSDB user %1 using %2

db2 -tvf crttables.sql

db2 -tvf loadtables.sql

%DB2INSTALLDRIVE%
cd %DB2INSTALLDIRECTORY%\bnd

db2 bind @db2cli.lst blocking all grant public

db2 connect reset

db2 terminate

title Command Prompt