package com.ibm.websphere.samples.bank.ejb;
import java.util.Vector;
import java.util.Collection;
/**
 * Remote interface for Enterprise Bean: Customer
 */
public interface Customer extends javax.ejb.EJBObject {
	/**
	 * Get accessor for persistent attribute: lastName
	 */
	public java.lang.String getLastName() throws java.rmi.RemoteException;
	/**
	 * Set accessor for persistent attribute: lastName
	 */
	public void setLastName(java.lang.String newLastName)
		throws java.rmi.RemoteException;
	/**
	 * Get accessor for persistent attribute: firstName
	 */
	public java.lang.String getFirstName() throws java.rmi.RemoteException;
	/**
	 * Set accessor for persistent attribute: firstName
	 */
	public void setFirstName(java.lang.String newFirstName)
		throws java.rmi.RemoteException;
	/**
	 * Get accessor for persistent attribute: taxID
	 */
	public java.lang.String getTaxID() throws java.rmi.RemoteException;
	/**
	 * Set accessor for persistent attribute: taxID
	 */
	public void setTaxID(java.lang.String newTaxID)
		throws java.rmi.RemoteException;
	/*.....
	 Exposes the collection of Owned Account Numbers  to the client(numbers only)
	 ......*/
	public Vector getOwnedAccountNumbers() throws java.rmi.RemoteException;
	/**.....................................................
	 * Exposes the result of the ejbSelect method to a client
	 @return a collection of AccountNumber as Integer object
	 .....................................................*/
	public Vector getAccountsByBalance(float minimumBalance)
		throws java.rmi.RemoteException;
	/*.....................................................
	 Exposes the result of the ejbSelect method to a client
	 .....................................................*/
	public int getAccountsCount() throws java.rmi.RemoteException;
	/*.....................................................
	 Exposes the result of cmr relationship to a client
	 @return collection of Account object
	 .....................................................*/
	public Collection getAccountsList() throws java.rmi.RemoteException;
}