//
// "This sample program is provided AS IS and may be used, executed, copied and modified without royalty payment by customer (a) for its own 
// instruction and study, (b) in order to develop applications designed to run with an IBM WebSphere product, either for customer's own internal use 
// or for redistribution by customer, as part of such an application, in customer's own products. " 
//
// Product 5724-I63,  (C) COPYRIGHT International Business Machines Corp., 2004
// All Rights Reserved * Licensed Materials - Property of IBM
//
package com.ibm.websphere.samples.bank.web;

import java.util.ListResourceBundle;

public class ClientResourceBundle extends ListResourceBundle {

   public ClientResourceBundle () {
      super();
   }

   public Object[][] getContents ( ) {
      return contents;
   }

   static final Object[][] contents = {
      // LOCALIZE THIS
      { "frameTitle",             "TransferApplication"},
      { "transferTitle",          "Transfer Funds between Accounts"},
      { "transferTitle2",         "Transfer Funds"},
      { "amount",                 "Amount"},
      { "from",                   "From Account"},
      { "to",                     "To Account"},
      { "transferBalance",        "Balance"},
      { "transfer",               "Transfer"},
      { "clear",                  "Clear"},
      { "get",                    "Get Balance"},
      { "successtransfer",        "Transfer successful"},
      { "successbalance",         "Balance query successful"},
      { "createTitle",            "Create a new Account"},
      { "number",                 "Account Number:"},
      { "type",                   "Type:"},
      { "savings",                "savings"},
      { "checking",               "checking"},
      { "balance",                "Starting Balance:"},
      { "create",                 "Create"},
      { "createdaccount",         "Created account:"},
      { "createdtype",            "Type:"},
      { "createdbalance",         "Balance:"},
      { "status",                 "Status"},
      { "failurebadnum",          "Valid amount and account Ids required for transfer."},
      { "failurebadid",           "Valid account Id required to get balance."},
      { "failureexists",          "Create failure - account already exists:"},
      { "failureinternal",        "Internal failure - could not create account:"},
      { "failureaccount",         "Invalid account format:"},
      { "failuresameact",         "Cannot transfer funds between identical accounts."},
      { "failurebalance",         "Invalid balance format:"},
      { "failureinsufficient",    "Insufficient funds - no transfer"},
      { "failurerequest",         "Internal failure - could not do request"},
      { "failureinput",           "Bad input - could not do request"},
      { "failureamount",          "Invalid amount format:"},
      { "failureamtzero",         "Invalid amount."},
      { "failurefind",            "One (or both) accounts not found"},
      { "failureinit",            "Exception retrieving the initial context:"},
      { "failurelookup",          "Lookup returned unexpected object type."},
      { "failureremote",          "RemoteException: "},
      { "failurecreate",          "CreateException: "},
      { "failuredupkey",          "DuplicateKeyException: "},
      { "failurecrtxfer",         "Exception creating new transfer: "},
      { "failureformat",          "Valid amount and account Id required for transfer."},
      { "failureactnum",          "Invalid account number."},
      { "failureactinv",          "Invalid account number: "},
      { "failuremain",            "Exception occurred in main() of java.awt.Frame"},
      { "failuregenexp",          "Exception: "},
      { "initError",              "Error initializing servlet."},
      { "startinit",              "Initializing - please wait."},
      { "endinit",                "Initialization done - begin work."},
      // END OF MATERIAL TO LOCALIZE
            
      //Do not translate the following entries...
      { "nameService",           "com.ibm.websphere.naming.WsnInitialContextFactory"},
      { "accountName",           "Account"},
      { "transferName",          "Transfer"},
      { "providerURL",           "iiop://localhost:900"}

   };
}
