<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<%-- jsf:pagecode language="java" location="/JavaSource/pagecode/Orders.java" --%><%-- /jsf:pagecode --%>
<%@taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>
<%@taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<HTML>
<HEAD>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@ taglib uri="http://www.ibm.com/jsf/BrowserFramework" prefix="odc"%>
<%@ page language="java" contentType="text/html; charset=ISO-8859-1"
	pageEncoding="ISO-8859-1"%>
<META http-equiv="Content-Type" content="text/html; charset=ISO-8859-1">
<META name="GENERATOR" content="IBM Software Development Platform">
<META http-equiv="Content-Style-Type" content="text/css">
<LINK href="theme/Master.css" rel="stylesheet" type="text/css">
<TITLE>orders.jsp</TITLE>
<LINK rel="stylesheet" type="text/css" href="theme/tree.css"
	title="Style">
<LINK rel="stylesheet" type="text/css" href="theme/tabpanel.css"
	title="Style">
<LINK rel="stylesheet" type="text/css" href="theme/stylesheet.css"
	title="Style">
<LINK rel="stylesheet" type="text/css" href="theme/datagrid.css"
	title="Style">
<LINK rel="stylesheet" type="text/css" href="theme/graph.css"
	title="Style">
<SCRIPT type="text/javascript">
function func_1(thisObj, thisEvent) {
//use 'thisObj' to refer directly to this component instead of keyword this
//use 'thisEvent' to refer to the event generated instead of keyword event

//	thisEvent.eobject is the object mapped to the node that the user clicked on.
//	thisEvent.propertyName is the name of the attribute which supplies the label for the highlighted node.
//actionBegin: action.odc.selectandactivate
SelectAndActivateEventHandler(thisEvent, ODCRegistry.getClientAdapters([['text2', null], ['dataGrid1', null]]));
//actionEnd: action.odc.selectandactivate

}
function func_2(thisObj, thisEvent) {
//use 'thisObj' to refer directly to this component instead of keyword this
//use 'thisEvent' to refer to the event generated instead of keyword event

//	thisEvent.eobject is the object mapped to the node that the user clicked on.
//	thisEvent.propertyName is the name of the attribute which supplies the label for the highlighted node.
//actionBegin: action.odc.selectandactivate
SelectAndActivateEventHandler(thisEvent, [ODCRegistry.getClientAdapter('graphDraw1')]);
//actionEnd: action.odc.selectandactivate

}</SCRIPT></HEAD>
<f:view>
	<BODY><hx:scriptCollector id="scriptCollector1"><h:form styleClass="form" id="form1">
			<odc:clientData modelName="" value="#{pc_Orders.orderInfo}"
				id="clientData1">
				<f:actionListener type="com.ibm.faces.bf.listeners.DiffListener" />
			</odc:clientData>
			<H1 align="center">Orders</H1>
			<TABLE width="100%" border="1">
				<TBODY>
					<TR>
						<TD width="30%"><odc:tree styleClass="tree" rootVisibleFlag="true"
							enableSelect="false" id="tree1"><odc:clientBinder value="#{pc_Orders.orderInfo}"></odc:clientBinder>
							<odc:treeNodeAttr
								className="commonj.sdo.DataObject(DynWDO`orderInfo`DataGraphRoot)"
								id="treenodeattr1" nodeLabel="All Orders"
								referenceName="CUSTOMERS"></odc:treeNodeAttr>
							<odc:treeNodeAttr attributeName="CUSTOMERID"
								className="commonj.sdo.DataObject(DynWDO`orderInfo`CUSTOMERS)"
								id="treenodeattr2" referenceName="CUSTOMERS_ORDERS" onhighlight="return func_1(this, event);"></odc:treeNodeAttr>
							<odc:treeNodeAttr attributeName="CONFIRMATION"
								className="commonj.sdo.DataObject(DynWDO`orderInfo`ORDERS)"
								id="treenodeattr3" referenceName="ORDERS_ORDERITEMS"
								onhighlight="return func_2(this, event);"></odc:treeNodeAttr>
							<odc:treeNodeAttr attributeName="ITEMID"
								className="commonj.sdo.DataObject(DynWDO`orderInfo`ORDERITEMS)"
								id="treenodeattr4"></odc:treeNodeAttr>
						</odc:tree></TD>
						<TD width="70%"><odc:tabbedPanel slantActiveRight="4"
							styleClass="tabbedPanel" width="600" slantInactiveRight="4"
							height="450" variableTabLength="false" showBackNextButton="true"
							showTabs="true" id="tabbedPanel1">
							<odc:bfPanel id="bfpanel2" name="Order Summary"
								showFinishCancelButton="true">
								<h:outputText styleClass="outputText" id="text1"
									value="Order Summary for"></h:outputText>
								<h:outputText styleClass="outputText" id="text2">
									<odc:clientBinder
										value="#{pc_Orders.orderInfo[0].CUSTOMERNAME}"></odc:clientBinder>
								</h:outputText>
								<odc:dataGrid allowRowAddAndDelete="true" styleClass="dataGrid"
									showSelectionColumn="false" pageSize="5" id="dataGrid1">
									<odc:clientBinder
										value="#{pc_Orders.orderInfo[0].CUSTOMERS_ORDERS}"></odc:clientBinder>
									<odc:dataGridCol attributeName="ORDERID" readOnly="true"></odc:dataGridCol>
									<odc:dataGridCol attributeName="CONFIRMATION" readOnly="true"></odc:dataGridCol>
									<odc:dataGridCol attributeName="CUSTOMERID" readOnly="true"></odc:dataGridCol>
									<odc:dataGridCol attributeName="STATUS"></odc:dataGridCol>
									<odc:dataGridCol attributeName="ORDERDATE" readOnly="true">
										<f:convertDateTime />
									</odc:dataGridCol>
								</odc:dataGrid>
							</odc:bfPanel>
							<odc:bfPanel id="bfpanel1" name="Statistics"
								showFinishCancelButton="false">
								<odc:graphDraw yaxisDivisions="10" styleClass="graphDraw"
									showLegend="true" width="660" height="100%"
									title="Orders Amounts by Product ID" id="graphDraw1" bar="true"
									firstChart="Bar" pie="true" line="true" yaxisTitle="Quantity"
									xaxisTitle="InventoryID">
									<odc:graphDrawData id="graphDrawData1" grouped="false">
										<odc:graphDrawDataSeries seriesName="Series1"
											attributeName="ORDERID" groupOperation="None"></odc:graphDrawDataSeries>
									</odc:graphDrawData>
									<odc:graphDrawLabels id="graphDrawLabels1"
										attributeName="INVENTORYID"></odc:graphDrawLabels>
									<odc:clientBinder
										value="#{pc_Orders.orderInfo[0].CUSTOMERS_ORDERS[0].ORDERS_ORDERITEMS}"></odc:clientBinder>
								</odc:graphDraw>
							</odc:bfPanel>
							<f:facet name="back">
								<hx:commandExButton type="submit" value="&lt; Back"
									id="tabbedPanel1_back" style="display:none"></hx:commandExButton>
							</f:facet>
							<f:facet name="next">
								<hx:commandExButton type="submit" value="Next &gt;"
									id="tabbedPanel1_next" style="display:none"></hx:commandExButton>
							</f:facet>
							<f:facet name="finish">
								<hx:commandExButton type="submit" value="Finish"
									id="tabbedPanel1_finish" style="display:none"
									action="#{pc_Orders.doTabbedPanel1_finishAction}"></hx:commandExButton>
							</f:facet>
							<f:facet name="cancel">
								<hx:commandExButton type="submit" value="Cancel"
									id="tabbedPanel1_cancel" style="display:none"></hx:commandExButton>
							</f:facet>
						</odc:tabbedPanel></TD>
					</TR>
				</TBODY>
			</TABLE>
			<P><BR>
			<BR>
			</P>
		</h:form></hx:scriptCollector></BODY>
</f:view>
</HTML>
