package com.ibm.websphere.samples.bank.ejb;
import com.ibm.websphere.samples.bank.ejb.CustomerKey;
/**
 * Home interface for Enterprise Bean: Customer
 */
public interface CustomerHome extends javax.ejb.EJBHome {
	/**
	 * Creates an instance from a key for Entity Bean: Customer
	 */
	public com.ibm.websphere.samples.bank.ejb.Customer create(
		long customerNumber)
		throws javax.ejb.CreateException,
		java.rmi.RemoteException;
	/**
	 * Finds an instance using a key for Entity Bean: Customer
	 */
	public com.ibm.websphere.samples.bank.ejb.Customer findByPrimaryKey(
		com.ibm.websphere.samples.bank.ejb.CustomerKey primaryKey)
		throws javax.ejb.FinderException,
		java.rmi.RemoteException;
	/**
	 * ejbCreate
	 */
	public com.ibm.websphere.samples.bank.ejb.Customer create(
		CustomerKey customerKey,
		String name,
		String lname,
		String taxID)
		throws javax.ejb.CreateException,
		java.rmi.RemoteException;
	public java.util.Collection findByLastName(java.lang.String name) throws javax.ejb.FinderException, java.rmi.RemoteException;
}