//
// "This sample program is provided AS IS and may be used, executed, copied and modified without royalty payment by customer (a) for its own 
// instruction and study, (b) in order to develop applications designed to run with an IBM WebSphere product, either for customer's own internal use 
// or for redistribution by customer, as part of such an application, in customer's own products. " 
//
// Product 5724-I63,  (C) COPYRIGHT International Business Machines Corp., 2004
// All Rights Reserved * Licensed Materials - Property of IBM
//
package com.ibm.websphere.samples.bank.web;

/**
 * Data objects
 */
public class PageBean implements java.io.Serializable {

    //Customer
    private long customerNum = 0;
    private String firstName = "";
    private String lastName = "";
    private String taxID = "";
    //Account
    private int accountNum;
    private int accountType;
    private float balance;

    //private String message;
    private java.util.ArrayList errormessage = null;
    private java.util.ArrayList messageLines = null;

    private java.util.ArrayList accountsByBalance = null;
    private java.util.ArrayList listByLastName = null;

    private int fromAccount;
    private int toAccount;
    private float transAmt;

    /**
     * Returns the value.
     * @return String
     */
    private String nvl(String value) {
        return (value == null) ? "" : value.trim();
    }

    /**
     * @return int
     */
    public int getAccountNum() {
        return accountNum;
    }

    /**
     * @return int
     */
    public int getAccountType() {
        return accountType;
    }

    /**
     * @return float
     */
    public float getBalance() {
        return balance;
    }

    /**
     * @return long
     */
    public long getCustomerNum() {
        return customerNum;
    }

    /**
     * @return String
     */
    public String getFirstName() {
        return nvl(firstName);
    }

    /**
     * @return String
     */
    public String getLastName() {
        return nvl(lastName);
    }

    /**
     * @return String
     */
    public String getTaxID() {
        return nvl(taxID);
    }

    /**
     * @param acc
     */
    public void setAccountNum(int acc) {
        accountNum = acc;
    }

    /**
     * @param accType
     */
    public void setAccountType(int accType) {
        accountType = accType;
    }

    /**
     * @param bal
     */
    public void setBalance(float bal) {
        balance = bal;
    }

    /**
     * @param cus
     */
    public void setCustomerNum(long cus) {
        customerNum = cus;
    }

    /**
     * @param first
     */
    public void setFirstName(String first) {
        firstName = first;
    }

    /**
     * @param last
     */
    public void setLastName(String last) {
        lastName = last;
    }

    /**
     * @param tax
     */
    public void setTaxID(String tax) {
        taxID = tax;
    }

    /**
     * @return messageLines
     */
    public java.util.ArrayList getMessageLines() {
        return messageLines;
    }

    /**
     * @param list
     */
    public void setMessageLines(java.util.ArrayList list) {
        messageLines = list;
    }

    /**
     * @return fromAccount
     */
    public int getFromAccount() {
        return fromAccount;
    }

    /**
     * @return toAccount
     */
    public int getToAccount() {
        return toAccount;
    }

    /**
     * @return transAmt
     */
    public float getTransAmt() {
        return transAmt;
    }

    /**
     * @param i
     */
    public void setFromAccount(int i) {
        fromAccount = i;
    }

    /**
     * @param i
     */
    public void setToAccount(int i) {
        toAccount = i;
    }

    /**
     * @param f
     */
    public void setTransAmt(float f) {
        transAmt = f;
    }

    /**
     * @return errormessage
     */
    public java.util.ArrayList getErrormessage() {
        return errormessage;
    }

    /**
     * @param list
     */
    public void setErrormessage(java.util.ArrayList list) {
        errormessage = list;
    }

    /**
     * @return listByLastName
     */
    public java.util.ArrayList getListByLastName() {
        return listByLastName;
    }

    /**
     * @param list
     */
    public void setListByLastName(java.util.ArrayList list) {
        listByLastName = list;
    }

    /**
     * @return accountsByBalance
     */
    public java.util.ArrayList getAccountsByBalance() {
        return accountsByBalance;
    }

    /**
     * @param list
     */
    public void setAccountsByBalance(java.util.ArrayList list) {
        accountsByBalance = list;
    }

}